logo
tr
en

Power BI Veri Kaynağı Önkoşulları

Power BI Veri Kaynağı Önkoşulları

Power BI, nesneler için her veri sağlayıcısının belirli bir sürümünü destekler.

Bu sürümler dışındaki sürümlerde çalışma problemleri gibi sorunlar ortaya çıkabilir.



Aşağıdaki tabloda bu gereksinimlere yer verilmiştir.


Veri KaynağıSağlayıcıMinimum sağlayıcı sürümüMinimum veri kaynağı sürümüDesteklenen veri kaynağı nesneleriİndirme bağlantısı
SQL ServerADO.net (.Net Framework’e yerleşik).NET Framework 3.5 (yalnızca)SQL Server 2005Tablolar/Görünümler, Skaler işlevler, Tablo işlevleri.NET Framework 3.5 veya sonraki sürümlerle birlikte gelir
AccessMicrosoft Access Veritabanı Altyapısı (ACE)ACE 2010 SP1Kısıtlama yokTablolar/Görünümlerİndirme bağlantısı
Excel (yalnızca .xls dosyaları) (bkz. 1. Not)Microsoft Access Veritabanı Altyapısı (ACE)ACE 2010 SP1Kısıtlama yokTablolar, Sayfalarİndirme bağlantısı
Oracle (bkz. 2. Not)ODP.NETODAC 11.2 Sürüm 5 (11.2.0.3.20)9.xTablolar/Görünümlerİndirme bağlantısı
System.Data.OracleClient (.NET Framework’te yerleşik).NET Framework 3.59.xTablolar/Görünümler.NET Framework 3.5 veya sonraki sürümlerle birlikte gelir
IBM DB2IBM ADO.Net istemcisi (IBM veri sunucusu sürücü paketine dahil)10.19.1+Tablolar/Görünümlerİndirme bağlantısı
MySQLConnector/Net6.6.55.1Tablolar/Görünümler, Skaler işlevlerİndirme bağlantısı
PostgreSQLNPGSQL ADO.NET sağlayıcısı2.0.127.4Tablolar/Görünümlerİndirme bağlantısı
TeradataTeradata için .NET Veri Sağlayıcısı1412Tablolar/Görünümlerİndirme bağlantısı
SAP Sybase SQL Anywhere.NET 3.5 için iAnywhere.Data.SQLAnywhere1616Tablolar/Görünümlerİndirme bağlantısı

NOT: .xlsx uzantılı Excel dosyaları için ayrı bir sağlayıcı yüklenmesi gerekmez.


NOT: Oracle sağlayıcıları için Oracle istemci yazılımı (8.1.7 veya sonraki sürümler) da gereklidir.

Yorum yap